# POS Partner Sale Warnings

This module shows partner warnings when a partner is selected in POS.

Table of contents

- Use Cases / Context
- Configuration
- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Use Cases / Context

Odoo allows to configure warnings for partners and products to be shown when a new sales order is created.

However those warnings will not be shown for a POS order.

# Configuration

This module requires “sale_management” module to be installed.

When installed go to the “Settings/Sales” menu and scroll to the “Quotations & Orders” section.

Activate the “Sale Warnings” checkbox.

# Usage

On a partner form open the “Internal Notes” tab, and select a message type in the “WARNING ON THE SALES ORDER” field. Add the warning text to be shown in the field below.

When this partner is selected in POS a warning will be shown. Depending on the warning type it can be a blocking or a non-blocking one.

# Known issues / Roadmap

TODO: add support for product messages

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Cetmix

## Contributors

- Cetmix <cetmix.com>
  - Ivan Sokolov
  - Maksim Shurupov

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/pos project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.